/**
 * 
 */
package de.groovie.test.cdi00.interfaces.be;

/**
 * This interface describes the data access interfaces supported
 * be the calling run time environment (Junit or EJB)
 * 
 * @author cgroove
 *
 */
public interface DataSvcIf {

	/**
	 * creates a new age entry in your run time environemt
	 * @param age
	 * @return
	 */
	public Long createNewAgeEntry(final int age) ;
	
	/**
	 * This request retrievs some data
	 * @param pId
	 * @return
	 */
	public Integer getRealAgeById(final Long pId) ;
	
 
}
