/**
 * 
 */
package de.groovie.test.cdi00.interfaces.svc;

import de.groovie.test.cdi00.common.data.CalcParmIn;
import de.groovie.test.cdi00.common.data.CalcParmOut;

/**
 * This is the interface of our service, 
 * than shall be callable from Junit and
 * EJB
 * 
 * @author cgroove
 *
 */
public interface CalculationEngineIf {

	/**
	 * @param parmIn
	 * @return
	 */
	public CalcParmOut computeSomewhat(CalcParmIn parmIn) ;
	
	/**
	 * 
	 * @param Age
	 * @return
	 */
	public Long regNewAge(int Age) ;
	
}
